View Issue Details

IDProjectCategoryView StatusLast Update
0003565GNUnetARM servicepublic2018-06-07 00:25
ReporterBart PolotAssigned ToChristian Grothoff 
PrioritynormalSeveritytweakReproducibilityhave not tried
Status closedResolutionfixed 
Product Version0.10.1 
Target Version0.11.0pre66Fixed in Version0.11.0pre66 
Summary0003565: Hostlist daemon not present
Descriptionconfigure && make && make install fails to produce a hostlist executable in the destination directory, arm complains at startup.
TagsNo tags attached.

Activities

Christian Grothoff

2014-12-05 13:36

manager   ~0008638

That probably happens if curl/gnurl/MHD are not found.

The real issue is also that we still have this DEFAULTSERVICES line in ARM, which is ugly. We should probably switch to each service having a
"ON_BY_DEFAULT = YES/NO" line instead.

Bart Polot

2014-12-05 13:52

manager   ~0008644

Installing gnurl did in fact solved this issue (but now I get 0003564).

Now, IMHO arm shouldn't try to start the daemon if not present, or at least not complain so loudly about it...

Christian Grothoff

2014-12-08 15:49

manager   ~0008659

Yeah, the answer is to stop using the DEFAULTSERVICES and distribute an On/OFF flag (like AUTOSTART) over the services.

Christian Grothoff

2014-12-10 18:11

manager   ~0008661

Fixed in SVN 34522, which possibly broke other stuff, but that's another story.

Issue History

Date Modified Username Field Change
2014-12-04 13:40 Bart Polot New Issue
2014-12-04 13:40 Bart Polot Status new => assigned
2014-12-04 13:40 Bart Polot Assigned To => Bart Polot
2014-12-05 13:36 Christian Grothoff Note Added: 0008638
2014-12-05 13:52 Bart Polot Note Added: 0008644
2014-12-08 15:49 Christian Grothoff Note Added: 0008659
2014-12-08 15:49 Christian Grothoff Assigned To Bart Polot => Christian Grothoff
2014-12-08 15:49 Christian Grothoff Severity minor => tweak
2014-12-08 15:49 Christian Grothoff Category hostlist daemon => ARM service
2014-12-08 15:49 Christian Grothoff Product Version => 0.10.1
2014-12-10 18:11 Christian Grothoff Note Added: 0008661
2014-12-10 18:11 Christian Grothoff Status assigned => resolved
2014-12-10 18:11 Christian Grothoff Fixed in Version => 0.11.0pre66
2014-12-10 18:11 Christian Grothoff Resolution open => fixed
2014-12-10 18:11 Christian Grothoff Target Version => 0.11.0pre66
2018-06-07 00:25 Christian Grothoff Status resolved => closed